import 'dart:io';

import 'package:epub/epub.dart';

void main() async {
  var book = await EpubReader.readBook(new File("fic.epub").readAsBytesSync());

  print(book.Content.Html);
  print(book.Content.Css);
  print(book.Content.Images);
  print(book.Content.Fonts);
  print(book.Content.AllFiles);
  print(book.Content.AllFiles['toc.ncx'].FileName);
  print(book.Schema.ContentDirectoryPath);
  print(book.Schema.Package.Manifest.Items);
  print(book.Schema.Package.Spine.TableOfContents);
  print(book.Schema.Package.Metadata.MetaItems);
}